Summary: program to display motd and to take care of utmp and wtmp at X logins
Name: xlogin
Version: 2.01n
Release: 2
Group: X11/Utilities
Copyright: distributable, (c) Markus Stumpf <maex@space.net>
Source: xlogin-2.01n.tar.gz
Patch: xlogin-2.01n-linux.patch
BuildRoot: /tmp/xlogin
Prefix: /usr

%description
This program was written to do some stuff, which is no longer
done, when using Xdm from X Windows Version 11 (and not using sessreg).
It handles /etc/motd, /etc/nologin, user quotas (EPROCLIM, EUSERS),
/var/log/lastlog, /var/run/wtmp, /var/run/utmp and $USER/.hushlogin.
You can even specify more than one "MOTD" file, using the -sysFiles
commandline option.

%prep
%setup
%patch -p1

%build
xmkmf -a
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
for i in bin man/man1 lib/X11/app-defaults;do
  mkdir -p $RPM_BUILD_ROOT/usr/X11R6/$i
done

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

touch $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XloginSYS
chmod a-w $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XloginSYS

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xlogin
/usr/X11R6/man/man1/xlogin.1x
%config /usr/X11R6/lib/X11/app-defaults/Xlogin
%config /usr/X11R6/lib/X11/app-defaults/XloginSYS
%doc CHANGES CREDITS README
